[IPython-dev] Error when running ipcluster

Pim Schellart P.Schellart@astro.ru...
Wed Jul 14 03:16:51 CDT 2010


Dear IPython developers,

I would like to use IPython to do some basic parallelization.
However when I execute ipcluster to setup a controller and some
engines I get the following error:

~ $ ipcluster
Traceback (most recent call last):
  File "/Library/Frameworks/Python.framework/Versions/2.6/bin/ipcluster",
line 16, in <module>
    from IPython.kernel.ipclusterapp import launch_new_instance
ImportError: No module named ipclusterapp

I have installed all dependencies listed as required for the parallel
computing tasks.
When building IPython (0.10) I they are found as follows:

BUILDING IPYTHON
                python: 2.6.5 (r265:79063, Jun  6 2010, 11:37:41)  [GCC
                        4.2.1 (Apple Inc. build 5659)]
              platform: darwin

OPTIONAL DEPENDENCIES
        Zope.Interface: yes
               Twisted: 10.1.0
              Foolscap: 0.5.1
               OpenSSL: 0.6
                sphinx: 1.0b2
              pygments: 1.3.1
                  nose: Not found (required for running the test suite)
               pexpect: no (required for running standalone doctests)

Any idea what is going wrong here?

Kind regards,

Pim Schellart


More information about the IPython-dev mailing list